tigase.db

## Class AbstractAuthRepositoryWithCredentials

- java.lang.Object
- - tigase.db.AbstractAuthRepositoryWithCredentials

- All Implemented Interfaces:
    AuthRepository, Repository
  Direct Known Subclasses:
    TigaseCustomAuth

      public abstract class AbstractAuthRepositoryWithCredentials
      extends Object
      implements AuthRepository

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface tigase.db.AuthRepository

      `AuthRepository.AccountStatus, AuthRepository.DefaultCredentials, AuthRepository.SingleCredential`

    - ### Nested classes/interfaces inherited from interface tigase.db.Repository

      `Repository.Meta, Repository.SchemaId`

  - ### Field Summary

    - ### Fields inherited from interface tigase.db.AuthRepository

      `DATA_KEY, DIGEST_ID_KEY, DIGEST_KEY, MACHANISM_KEY, PASSWORD_KEY, PROTOCOL_KEY, PROTOCOL_VAL_NONSASL, PROTOCOL_VAL_SASL, REALM_KEY, RESULT_KEY, SERVER_NAME_KEY, USER_ID_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractAuthRepositoryWithCredentials()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected CredentialsDecoderBean` | `getCredentialsDecoder()`
    `protected CredentialsEncoderBean` | `getCredentialsEncoder()`
    `String` | `getPassword(BareJID user)`
    `boolean` | `isMechanismSupported(String domain, String mechanism)`
    `void` | `setCredentialsCodecs(CredentialsEncoderBean encoder, CredentialsDecoderBean decoder)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface tigase.db.AuthRepository

      `addUser, getAccountStatus, getCredentialIds, getCredentials, getResourceUri, getUsernames, getUsersCount, getUsersCount, isUserDisabled, loggedIn, logout, otherAuth, queryAuth, removeCredential, removeUser, setAccountStatus, setUserDisabled, updateCredential, updatePassword`

    - ### Methods inherited from interface tigase.db.Repository

      `initRepository`

- - ### Constructor Detail

    - #### AbstractAuthRepositoryWithCredentials

          public AbstractAuthRepositoryWithCredentials()

  - ### Method Detail

    - #### getPassword

          public String getPassword(BareJID user)
                             throws UserNotFoundException,
                                    TigaseDBException

      Specified by:
        `getPassword` in interface `AuthRepository`
      Throws:
        `UserNotFoundException`
        `TigaseDBException`

    - #### isMechanismSupported

          public boolean isMechanismSupported(String domain,
                                              String mechanism)

      Specified by:
        `isMechanismSupported` in interface `AuthRepository`

    - #### setCredentialsCodecs

          public void setCredentialsCodecs(CredentialsEncoderBean encoder,
                                           CredentialsDecoderBean decoder)

      Specified by:
        `setCredentialsCodecs` in interface `AuthRepository`

    - #### getCredentialsDecoder

          protected CredentialsDecoderBean getCredentialsDecoder()

    - #### getCredentialsEncoder

          protected CredentialsEncoderBean getCredentialsEncoder()

Copyright © 2004–2020 "Tigase, Inc.". All rights reserved.